Package org.snpeff.binseq.comparator

# Class DnaQualSubsequenceComparator

java.lang.Object
org.snpeff.binseq.comparator.SubsequenceComparator<DnaAndQualitySequence>
org.snpeff.binseq.comparator.DnaQualSubsequenceComparator

public class DnaQualSubsequenceComparator extends SubsequenceComparator<DnaAndQualitySequence>
Compares two subsequences of DNA (DnaAndQualitySequence)

Author:
  pcingola

## Constructor Summary

Constructors
Constructor
Description
`DnaQualSubsequenceComparator(boolean differentLengthsAreEqual)`
`DnaQualSubsequenceComparator(boolean differentLengthsAreEqual, int maxDifferentBases)`

## Method Summary

Modifier and Type
Method
Description
`int`
`compare(DnaAndQualitySequence seq1, int index1, DnaAndQualitySequence seq2, int index2)`
`int`
`score(DnaAndQualitySequence seq1, int index1, DnaAndQualitySequence seq2, int index2)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### DnaQualSubsequenceComparator

public DnaQualSubsequenceComparator(boolean differentLengthsAreEqual)

### DnaQualSubsequenceComparator

public DnaQualSubsequenceComparator(boolean differentLengthsAreEqual, int maxDifferentBases)

## Method Details

### compare

public int compare(DnaAndQualitySequence seq1, int index1, DnaAndQualitySequence seq2, int index2)

Specified by:
  `compare` in class `SubsequenceComparator<DnaAndQualitySequence>`

### score

public int score(DnaAndQualitySequence seq1, int index1, DnaAndQualitySequence seq2, int index2)

Specified by:
  `score` in class `SubsequenceComparator<DnaAndQualitySequence>`